Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1tOWoyLWdycWYtZmcyNs4AAW5D

Jenkins Reverse Proxy Auth Plugin allows attackers with local file system access to obtain a list of authorities for logged in users

An exposure of sensitive information vulnerability exists in Jenkins Reverse Proxy Auth Plugin 1.5 and older in ReverseProxySecurityRealm#authContext that allows attackers with local file system access to obtain a list of authorities for logged in users. Reverse Proxy Auth Plugin 1.6.0 and newer no longer store the cache of granted authorities on disk.

Permalink: https://github.com/advisories/GHSA-m9j2-grqf-fg26
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1tOWoyLWdycWYtZmcyNs4AAW5D
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Low
Classification: General
Published: about 2 years ago
Updated: over 1 year ago


CVSS Score: 3.3
CVSS vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N

Identifiers: GHSA-m9j2-grqf-fg26, CVE-2018-1000150
References: Blast Radius: 1.0

Affected Packages

maven:org.jenkins-ci.plugins:reverse-proxy-auth-plugin
Affected Version Ranges: <= 1.5
Fixed in: 1.6.0